<?php
include('../config/config.php');
include('../classes/classStoreItem.php');
include('../classes/classStoreItemReceiveInvoice.php');
include('../classes/classSaleInvoice.php');
include('../classes/classProduct.php');

/*echo '<pre>';
print_r($_POST);
echo '</pre>';
exit;*/
unset($_SESSION['print']);
if(isset($_POST['search'])&&$_POST['search']!='')
{
	$search = $_POST['search'];
}
else
{
	$search = '';
}

if(isset($_GET['sortby'])&&$_GET['sortby']!='')
{
	$sortby = $_GET['sortby'];
}
else
{
	$sortby = '';
}

$_SESSION['print']['search'] = $search;
$_SESSION['print']['sortby'] = $sortby;

################################################################################
#########################Pagination Starts here. {########################
################################################################################
try
{
	$retrieveItemsOb = new classStoreItem;
	$count_items = $retrieveItemsOb->countStoreItemsThroughFilter($search,$sortby,$_SESSION['security']['org_id'],1);
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	


$array['item_count'] = $count_items;
if(isset($_GET['page']) && isset($_GET['items']))
{
	if($array['item_count'] > $_GET['items'])
	{
		$array['pages'] = ceil($array['item_count']/$_GET['items']);
		if($_GET['page'] >$array['pages'])
		{
			$_GET['page'] = 1;
		}
		$array['current_page'] = $_GET['page'];
		if($_GET['page'] > 1)
		{
			$starting_record = $_GET['items']*($_GET['page']-1);
			$ending_record = $_GET['items'];
			$array['limit'] = $starting_record . "," . $ending_record;
			$limit = $array['limit'];
		}
		else
		{
			$limit = $_GET['items'];
		}
	}
	else
	{
		$array['current_page'] = $_GET['current_page'] = 1;
		$array['pages'] = 1;
		$array['limit'] = $_GET['items'];
		$limit = $array['limit'];
	}
}
else
{
	if($array['item_count'] > 20)
	{
		$array['pages'] = ceil($array['item_count']/20);
	}
	else
	{
		$array['pages'] = 1;
	}
	$array['current_page'] = 1;
	$array['limit'] = 20;
	$limit = $array['limit'];
}

$_SESSION['pagination']['item_count']=$array['item_count'];
$_SESSION['pagination']['pages']=$array['pages'];
$_SESSION['pagination']['current_page']=$array['current_page'];
$_SESSION['pagination']['limit']=$limit;

################################################################################
######################### Pagination Ends here. }##########################
################################################################################


try
{
	$retrieveItemsOb = new classStoreItem;
	$storeitems_array = $retrieveItemsOb->retrieveStoreItemsThroughFilter($search,$sortby,$_SESSION['security']['org_id'],1,$limit);
}
catch (MyException $e)
{
	$error_message = $e->getUserMsg();
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head></head><!-- InstanceBegin template="/Templates/print.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="shortcut icon" href="../images/favicon.png">
    <title>Med2TEC Hospital Management Information System</title> 
    <link href="../css/print.css" rel="stylesheet">
    <link href="../datepicker/jquery-ui.css" rel="stylesheet" >  
    <script type="text/javascript" src="../datepicker/jquery-1.9.1.js"></script>
	<script type="text/javascript" src="../datepicker/jquery-ui.js"></script> 
</head>

<body> 
<div align="right"> 
 <SCRIPT LANGUAGE="JavaScript">  
if (window.print) {
document.write('<form class="no-print"><input type=button name=print value="Print" onClick="window.print()"></form>');
}
</script></div>

<section class="wrapper">
<div style="background:#FFF; padding:0px 0px 0; height:auto;">
  <table cellspacing="0" cellpadding="0" width="100%" border="0" style="font-size:11px;">
    <tbody>
      <tr>
        <td align="left" style="background:#fff;"><img alt="" src="../images/org_print_logos/<?php echo $_SESSION['security']['org_id']?>.png" style="width:100%;"></td>
      </tr>
    </tbody>
  </table>
  
</br>

</div>

<div class="row">
          <section class="panel">
            <header class="panel-heading">
              <h2><!-- InstanceBeginEditable name="title" --><!-- InstanceEndEditable --></h2>
            </header>

  <br />
  
<!-- InstanceBeginEditable name="main" -->

					
    <title>Med2TEC Hospital Management Information System</title>
    
  <section id="main-content">
    <section class="wrapper">

      <!-- page start-->
      <div class="row">
        <div class="col-sm-12">
          <section class="panel">
          
            <header class="panel-heading">
              <h2>OT STORE</h2>
            </header>
            <div class="panel-body">
              <div class="adv-table">
              
                <table class="bottomBorder">
                
                    <thead>
                        <tr>
                            <th width="5%" align="center">ID</th>
                            <th width="20%" align="left">Item Name</th>
                            <th width="15%" align="left">Type</th>
                            <th width="20%" align="left">Manufacturer</th>
                            <th width="10%" align="center">Qty in Store</th>
                            <th width="10%" align="center"></th>
                        </tr>
                    </thead>
                    
                    <tbody>
                    <?php
					if(isset($storeitems_array[0]))
                    {
						for($st=0;$st<count($storeitems_array);$st++)
						{
							if($storeitems_array[$st]['manf_id']!=0)
							{
								$retrieveManufacOb = new classProduct;
								$manufac_name = $retrieveManufacOb->retrieveManufacturerNameByID($storeitems_array[$st]['manf_id']);
							}
							else
							{
								$manufac_name = '';
							}
							
							$singleItemOb = new classStoreItem;
							$qty_in_stock = $singleItemOb->retrieveQtyInStock($storeitems_array[$st]['storeitem_id'],$_SESSION['security']['location_id']);
							
							
							?>
							<tr class="gradeX">
							<td align="center"><?php echo $storeitems_array[$st]['storeitem_id'];?></td>
							<td align="left"><?php echo ucwords($storeitems_array[$st]['storeitem_name']);?></td>
							<td align="left"><?php echo ucwords($storeitems_array[$st]['category']);?></td>
							<td align="left"><?php echo $manufac_name;?></td>
							<td align="right"><?php echo $qty_in_stock;?></td>
                            <td align="center"><span>Adjust Qty</span></td>
							</tr>
							<?php
						}
                    }
					else
					{
						?>
                        <tr>
                        	<td colspan="9">No Items Found!</td>
                        </tr>
                        <?php
					}
                    ?>
                    </tbody>
                    
                  	<tfoot>
                  </tfoot>
                  
                </table>
                <?php
				if(!$_GET||!$_POST)
				{
					?>
					
					<?php
				}
				?>
                
               
                
              </div>
            </div>
            
          </section>
        </div>
      </div>
      <!-- page end-->
    </section>
  </section>
  <!-- InstanceEndEditable -->
</section>
</div>

<!--<p align="center" style="font-size:12px; font-family:Arial, Helvetica, sans-serif; margin-top:260px;"><strong><!--317 A-1, Nursery Stop, Township, Lahore. 
Ph: 042-35151666</strong><br />
For Appointment call at 042-35151666 (bring your Patient ID Card) </p>-->

   <div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color: rgb(0, 0, 0); text-align: right; font-size: 10px; margin-top: 4px; position: absolute; right: 180px;">© Software by Softusion Inc. 0322 6155 219</div>   
    </div>
</div>

<!--<div class="sidepop" style="float:right;">
    <div class="sidepopbutton stemp"><div style="color:#000; text-align:right; font-size:9px;">© Software designed by Softusion Inc. Contact us at 0322 6155 219</div>   
    </div>
</div>-->


          
</body>
<!-- InstanceEnd --></html>